> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/account/external-layer/add-external-layer.md).

# Add external layer

External layers allow you to load data from non Ellipsis Drive sources in the Ellipsis Drive viewer. This is done by defining an alternative endpoint from which to retrieve the data as well as the protocol used to load the external data. Note that because the data is hosted externally Ellipsis Drive has no control over the existence, performance or maintenance of this external data set, pros and cons of using this endpoint should be evaluated accordingly.

| **Description** | Adds an external layer to your account. |
| --------------- | --------------------------------------- |
| **Endpoint**    | `/account/externalLayer`                |
| **Method**      | POST                                    |

### Access Level Rules

| **Access Level** | Account holder |
| ---------------- | -------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="362">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>name</code></td><td>The name of the external layer.</td><td>true</td><td></td></tr><tr><td><code>url</code></td><td>The url of the external layer.</td><td>true</td><td></td></tr><tr><td><code>type</code></td><td>A string describing the type of the external layer. Must be one of "wfs", "wms", "vectorTiles", or "wmts".</td><td>true</td><td></td></tr><tr><td><code>layer</code></td><td>The name of the layer at the external source that should be used for the external layer within Ellipsis Drive.</td><td>true</td><td></td></tr><tr><td><code>epsg</code></td><td>Integer representing the coordinate reference system(crs) of the external layer.</td><td>true</td><td></td></tr><tr><td><code>zoom</code></td><td>Integer indicating the maximum available zoomlevel.</td><td>Only required for types "wmts" and "vectorTiles".</td><td>Default null.</td></tr><tr><td><code>tileMatrixSet</code></td><td>String containing the tileMatrixSet of a "wmts".</td><td>Only required for type "wmts".</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/account/external-layer/add-external-layer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
